Drop pr_index from wikis where ProofreadPage isn't enabled
Closed, ResolvedPublic

Description

The ProofreadPage table seems to be on all wikis, but it should only be on the wikis listed below.

Please drop it from other wikis!

'wmgUseProofreadPage' => [
	'default' => false,
	'wikisource' => true,
	'sourceswiki' => true, // FIXME: should be a part of wikisource (see T91534)
	'test2wiki' => true,
	'frrwiki' => true, // T40023
],

Note wikisource is not the name of a wiki, but of a list of wikis: https://noc.wikimedia.org/conf/highlight.php?file=wikisource.dblist

Reedy created this task.Sep 1 2017, 11:55 AM
Marostegui moved this task from Triage to Next on the DBA board.Sep 1 2017, 11:59 AM
jcrespo updated the task description. (Show Details)Sep 1 2017, 12:00 PM

These empty tables current exist on the following wikis, and should be dropped from there:

s1 (empty) - nothing to backup

enwiki

s2 (all empty) - nothing to backup

bgwiki
bgwiktionary
cswiki
enwikiquote
enwiktionary
eowiki
fiwiki
idwiki
itwiki
nlwiki
nowiki
plwiki
ptwiki
svwiki
thwiki
trwiki
zhwiki

s3 (all empty) - nothing to backup

aawiki
aawikibooks
aawiktionary
abwiki
abwiktionary
acewiki
advisorywiki
afwiki
afwikibooks
afwikiquote
afwiktionary
akwiki
akwikibooks
akwiktionary
alswiki
alswikibooks
alswikiquote
alswiktionary
amwiki
amwikiquote
amwiktionary
angwiki
angwikibooks
angwikiquote
angwiktionary
anwiki
anwiktionary
arbcom_dewiki
arbcom_enwiki
arbcom_fiwiki
arbcom_nlwiki
arcwiki
arwikibooks
arwikimedia
arwikinews
arwikiquote
arwikiversity
arwiktionary
arzwiki
astwiki
astwikibooks
astwikiquote
astwiktionary
aswiki
aswikibooks
aswiktionary
auditcomwiki
avwiki
avwiktionary
aywiki
aywikibooks
aywiktionary
azwiki
azwikibooks
azwikiquote
azwiktionary
barwiki
bat_smgwiki
bawiki
bawikibooks
bawiktionary
bclwiki
bdwikimedia
be_x_oldwiki
betawikiversity
bewiki
bewikibooks
bewikimedia
bewikiquote
bewiktionary
bgwikibooks
bgwikinews
bgwikiquote
bhwiki
bhwiktionary
biwiki
biwikibooks
biwiktionary
bjnwiki
bmwiki
bmwikibooks
bmwikiquote
bmwiktionary
bnwiki
bnwikibooks
bnwiktionary
boardgovcomwiki
boardwiki
bowiki
bowikibooks
bowiktionary
bpywiki
brwiki
brwikimedia
brwikiquote
brwiktionary
bswiki
bswikibooks
bswikinews
bswikiquote
bswiktionary
bugwiki
bxrwiki
cawikibooks
cawikinews
cawikiquote
cawiktionary
cbk_zamwiki
cdowiki
cebwiki
cewiki
chairwiki
chapcomwiki
checkuserwiki
chowiki
chrwiki
chrwiktionary
chwiki
chwikibooks
chwikimedia
chwiktionary
chywiki
ckbwiki
collabwiki
cowiki
cowikibooks
cowikimedia
cowikiquote
cowiktionary
crhwiki
crwiki
crwikiquote
crwiktionary
csbwiki
csbwiktionary
cswikibooks
cswikinews
cswikiquote
cswikiversity
cswiktionary
cuwiki
cvwiki
cvwikibooks
cywiki
cywikibooks
cywikiquote
cywiktionary
dawiki
dawikibooks
dawikiquote
dawiktionary
de_labswikimedia
dewikibooks
dewikinews
dewikiquote
dewikiversity
dewikivoyage
dewiktionary
diqwiki
dkwikimedia
donatewiki
dsbwiki
dvwiki
dvwiktionary
dzwiki
dzwiktionary
eewiki
elwiki
elwikibooks
elwikinews
elwikiquote
elwikiversity
elwiktionary
emlwiki
en_labswikimedia
enwikibooks
enwikinews
enwikiversity
enwikivoyage
eowikibooks
eowikinews
eowikiquote
eowiktionary
eswikibooks
eswikinews
eswikiquote
eswikiversity
eswiktionary
etwiki
etwikibooks
etwikimedia
etwikiquote
etwiktionary
euwiki
euwikibooks
euwikiquote
euwiktionary
execwiki
extwiki
fawikibooks
fawikinews
fawikiquote
fawiktionary
fdcwiki
ffwiki
fiu_vrowiki
fiwikibooks
fiwikinews
fiwikiquote
fiwikiversity
fiwiktionary
fjwiki
fjwiktionary
flaggedrevs_labswikimedia
foundationwiki
fowiki
fowiktionary
frpwiki
frwikibooks
frwikinews
frwikiquote
frwikiversity
frwikivoyage
furwiki
fywiki
fywikibooks
fywiktionary
gagwiki
ganwiki
gawiki
gawikibooks
gawikiquote
gawiktionary
gdwiki
gdwiktionary
glkwiki
glwiki
glwikibooks
glwikiquote
glwiktionary
gnwiki
gnwikibooks
gnwiktionary
gotwiki
gotwikibooks
grantswiki
guwiki
guwikibooks
guwikiquote
guwiktionary
gvwiki
gvwiktionary
hakwiki
hawiki
hawiktionary
hawwiki
hewikibooks
hewikinews
hewikiquote
hewiktionary
hifwiki
hiwiki
hiwikibooks
hiwikiquote
hiwiktionary
howiki
hrwiki
hrwikibooks
hrwikiquote
hrwiktionary
hsbwiki
hsbwiktionary
htwiki
huwikibooks
huwikinews
huwikiquote
huwiktionary
hywiki
hywikibooks
hywikiquote
hywiktionary
hzwiki
iawiki
iawikibooks
iawiktionary
idwikibooks
idwikiquote
idwiktionary
iewiki
iewikibooks
iewiktionary
igwiki
iiwiki
ikwiki
ikwiktionary
ilowiki
ilwikimedia
incubatorwiki
internalwiki
iowiki
iowiktionary
iswiki
iswikibooks
iswikiquote
iswiktionary
itwikibooks
itwikinews
itwikiquote
itwikiversity
itwikivoyage
itwiktionary
iuwiki
iuwiktionary
jawikibooks
jawikinews
jawikiquote
jawikiversity
jawiktionary
jbowiki
jbowiktionary
jvwiki
jvwiktionary
kaawiki
kabwiki
kawiki
kawikibooks
kawikiquote
kawiktionary
kbdwiki
kgwiki
kiwiki
kjwiki
kkwiki
kkwikibooks
kkwikiquote
kkwiktionary
klwiki
klwiktionary
kmwiki
kmwikibooks
kmwiktionary
knwiki
knwikibooks
knwikiquote
knwiktionary
koiwiki
kowikibooks
kowikinews
kowikiquote
kowiktionary
krcwiki
krwiki
krwikiquote
kshwiki
kswiki
kswikibooks
kswikiquote
kswiktionary
kuwiki
kuwikibooks
kuwikiquote
kuwiktionary
kvwiki
kwwiki
kwwikiquote
kwwiktionary
kywiki
kywikibooks
kywikiquote
kywiktionary
ladwiki
lawiki
lawikibooks
lawikiquote
lawiktionary
lbewiki
lbwiki
lbwikibooks
lbwikiquote
lbwiktionary
lezwiki
lgwiki
lijwiki
liwiki
liwikibooks
liwikiquote
liwiktionary
lmowiki
lnwiki
lnwikibooks
lnwiktionary
lowiki
lowiktionary
ltgwiki
ltwiki
ltwikibooks
ltwikiquote
ltwiktionary
lvwiki
lvwikibooks
lvwiktionary
map_bmswiki
mdfwiki
mediawikiwiki
mgwiki
mgwikibooks
mgwiktionary
mhrwiki
mhwiki
mhwiktionary
miwiki
miwikibooks
miwiktionary
mkwiki
mkwikibooks
mkwikimedia
mkwiktionary
mlwiki
mlwikibooks
mlwikiquote
mlwiktionary
mnwiki
mnwikibooks
mnwiktionary
movementroleswiki
mowiki
mowiktionary
mrjwiki
mrwiki
mrwikibooks
mrwikiquote
mrwiktionary
mswiki
mswikibooks
mswiktionary
mtwiki
mtwiktionary
muswiki
mwlwiki
mxwikimedia
myvwiki
mywiki
mywikibooks
mywiktionary
mznwiki
nahwiki
nahwikibooks
nahwiktionary
napwiki
nawiki
nawikibooks
nawikiquote
nawiktionary
nds_nlwiki
ndswiki
ndswikibooks
ndswikiquote
ndswiktionary
newiki
newikibooks
newiktionary
newwiki
ngwiki
nlwikibooks
nlwikimedia
nlwikinews
nlwikiquote
nlwikivoyage
nlwiktionary
nnwiki
nnwikiquote
nnwiktionary
noboard_chapterswikimedia
noboardwiki
nostalgiawiki
novwiki
nowikibooks
nowikimedia
nowikinews
nowikiquote
nowiktionary
nrmwiki
nsowiki
nvwiki
nycwikimedia
nywiki
nzwikimedia
ocwiki
ocwikibooks
ocwiktionary
officewiki
omwiki
omwiktionary
orwiki
orwiktionary
oswiki
otrs_wikiwiki
outreachwiki
pa_uswikimedia
pagwiki
pamwiki
papwiki
pawiki
pawikibooks
pawiktionary
pcdwiki
pdcwiki
pflwiki
pihwiki
piwiki
piwiktionary
plwikibooks
plwikimedia
plwikinews
plwikiquote
plwiktionary
pmswiki
pnbwiki
pnbwiktionary
pntwiki
pswiki
pswikibooks
pswiktionary
ptwikibooks
ptwikinews
ptwikiquote
ptwikiversity
ptwiktionary
qualitywiki
quwiki
quwikibooks
quwikiquote
quwiktionary
readerfeedback_labswikimedia
rmwiki
rmwikibooks
rmwiktionary
rmywiki
rnwiki
rnwiktionary
roa_rupwiki
roa_rupwiktionary
roa_tarawiki
rowikibooks
rowikinews
rowikiquote
rowiktionary
rswikimedia
ruewiki
ruwikibooks
ruwikimedia
ruwikinews
ruwikiquote
ruwikiversity
ruwikivoyage
ruwiktionary
rwwiki
rwwiktionary
sahwiki
sawiki
sawikibooks
sawiktionary
scnwiki
scnwiktionary
scowiki
scwiki
scwiktionary
sdwiki
sdwikinews
sdwiktionary
searchcomwiki
sewiki
sewikibooks
sewikimedia
sgwiki
sgwiktionary
shwiki
shwiktionary
simplewiki
simplewikibooks
simplewikiquote
simplewiktionary
siwiki
siwikibooks
siwiktionary
skwiki
skwikibooks
skwikiquote
skwiktionary
slwiki
slwikibooks
slwikiquote
slwikiversity
slwiktionary
smwiki
smwiktionary
snwiki
snwiktionary
sowiki
sowiktionary
spcomwiki
specieswiki
sqwiki
sqwikibooks
sqwikinews
sqwikiquote
sqwiktionary
srnwiki
srwiki
srwikibooks
srwikinews
srwikiquote
srwiktionary
sswiki
sswiktionary
steward
stewardwiki
stqwiki
strategyappswiki
strategywiki
stwiki
stwiktionary
suwiki
suwikibooks
suwikiquote
suwiktionary
svwikibooks
svwikinews
svwikiquote
svwikiversity
svwikivoyage
svwiktionary
swwiki
swwikibooks
swwiktionary
szlwiki
tawiki
tawikibooks
tawikinews
tawikiquote
tawiktionary
tenwiki
testwiki
tetwiki
tewiki
tewikibooks
tewikiquote
tewiktionary
tgwiki
tgwikibooks
tgwiktionary
thwikibooks
thwikinews
thwikiquote
thwiktionary
tiwiki
tiwiktionary
tkwiki
tkwikibooks
tkwikiquote
tkwiktionary
tlwiki
tlwikibooks
tlwiktionary
tnwiki
tnwiktionary
tokiponawiki
tokiponawikibooks
tokiponawikiquote
tokiponawiktionary
towiki
towiktionary
tpiwiki
tpiwiktionary
trwikibooks
trwikimedia
trwikinews
trwikiquote
trwiktionary
tswiki
tswiktionary
ttwiki
ttwikibooks
ttwikiquote
ttwiktionary
tumwiki
twwiki
twwiktionary
tywiki
uawikimedia
udmwiki
ugwiki
ugwikibooks
ugwikiquote
ugwiktionary
ukwikibooks
ukwikimedia
ukwikinews
ukwikiquote
ukwiktionary
urwiki
urwikibooks
urwikiquote
urwiktionary
usabilitywiki
uzwiki
uzwikibooks
uzwikiquote
uzwiktionary
vecwiki
vepwiki
vewiki
vewikimedia
viwikibooks
viwikiquote
viwiktionary
vlswiki
vowiki
vowikibooks
vowikiquote
vowiktionary
warwiki
wawiki
wawikibooks
wawiktionary
wg_enwiki
wikimania2005wiki
wikimania2006wiki
wikimania2007wiki
wikimania2008wiki
wikimania2009wiki
wikimania2010wiki
wikimania2011wiki
wikimania2012wiki
wikimania2013wiki
wikimaniateamwiki
wowiki
wowikiquote
wowiktionary
wuuwiki
xalwiki
xhwiki
xhwikibooks
xhwiktionary
xmfwiki
yiwiki
yiwiktionary
yowiki
yowikibooks
yowiktionary
zawiki
zawikibooks
zawikiquote
zawiktionary
zeawiki
zh_classicalwiki
zh_min_nanwiki
zh_min_nanwikibooks
zh_min_nanwikiquote
zh_min_nanwiktionary
zh_yuewiki
zhwikibooks
zhwikinews
zhwikiquote
zhwiktionary
zuwiki
zuwikibooks
zuwiktionary

s4 (empty) - nothing to backup

commonswiki

s5 (empty) - nothing to backup

dewiki
wikidatawiki

s6 (empty) - nothing to backup

frwiki
jawiki
ruwiki

s7 (empty) - nothing to backup

arwiki
cawiki
eswiki
fawiki
frwiktionary
hewiki
huwiki
kowiki
metawiki
rowiki
ukwiki
viwiki

Mentioned in SAL (#wikimedia-operations) [2017-09-01T13:42:33Z] <marostegui> Rename table pr_index on enwiki on db1089 - T174782

I have renamed the table on enwiki, on db1089 just to make sure nothing breaks

root@db1089[enwiki]> show tables like 'T17%';
+-------------------------+
| Tables_in_enwiki (T17%) |
+-------------------------+
| T174782_pr_index        |
+-------------------------+
1 row in set (0.00 sec)

Mentioned in SAL (#wikimedia-operations) [2017-09-05T13:17:18Z] <marostegui> Drop pr_index tables from where ProofreadPage isn't enabled - T174782

Marostegui closed this task as Resolved.Sep 5 2017, 2:57 PM
Marostegui claimed this task.

All dropped.